<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>test2 Namespace</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<style>
.container { max-width: 70em; }
pre { padding: 0.5em; word-wrap: break-word; background-color: #f8f8f8;border: 1px solid #ccc; border-radius: 0.25em; }
footer { background-color: #f8f8f8; border-top: 1px solid #ccc; padding: 1em 0; margin-top: 2em; }
</style>
<link rel="generator" href="https://gitlab.com/stone.code/cxxdoc">
</head>
<body><div class="container">
<h1>test2 Namespace</h1>
<p>Namespace test2 contains examples of function declarations.
Although very similar, method declarations are not included here.</p>
<h2>Functions</h2>
<h3>my_c_function</h3>
<pre><code>void my_c_function(int a, const char *str)
</code></pre>
<h3>my_func</h3>
<pre><code>int my_func(const std::string &amp;)
int my_func(double)
</code></pre>
<p>Overload function a.</p>
<p>Overload function b.</p>
<h3>my_max</h3>
<pre><code>double my_max(double a, double b)
template &lt;typename T&gt; T my_max(const T &amp;a, const T &amp;b)
template&lt;&gt; float my_max&lt;float&gt;(const float &amp;, const float &amp;)
</code></pre>
<p>More complicate template, with specialization and a regular overload.</p>
<p>There is a templated version.</p>
<p>And the template has a specialization for float.</p>
<h3>my_templated_function</h3>
<pre><code>template &lt;typename T&gt; void my_templated_function(const T &amp;in)
</code></pre>
<p>This function is a template.</p>
<h3>my_tfunc</h3>
<pre><code>auto my_tfunc(const std::string &amp;) -&gt; int
auto my_tfunc(double) -&gt; int
</code></pre>
<p>Overload function a.</p>
<p>Overload function b.</p>
<h3>my_zfunc</h3>
<pre><code>double my_zfunc(double i)
</code></pre>
<p>The return type of this function is deduced.</p>
<p>Definition at line <a href="./test2.hpp#L45">45 of test2.hpp</a>.</p>
</div>
<footer><div class="container">Generated by <a href="https://gitlab.com/stone.code/cxxdoc">CXXDoc</a>.</div></footer>
</body>
</html>